Changes between Version 10 and Version 11 of AdvancedInstall


Ignore:
Timestamp:
2010-07-02T14:36:23Z (11 years ago)
Author:
freestorm
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • AdvancedInstall

    v10 v11  
    2042041. Download and install MinGW from http://sourceforge.net/projects/mingw/files/ (the main installer linked from the big green download button). The installer will prompt you for what components to install. You need the base components plus g++.
    205205
    206 2. Versions 5.1.x of MinGW have a bug in the bundled Gnu assembler. If typing "{{{as --version}}}" at the command line gives "{{{GNU assembler (GNU Binutils) 2.20}}}", then you have an affected version. To fix this, download [http://sourceforge.net/projects/mingw/files/MinGW/BaseSystem/GNU-Binutils/binutils-2.19.1/binutils-2.19.1-mingw32-bin.tar.gz/download], and extract it into the MinGW installation directory, overwriting the existing files. Then do "{{{as --version}}}" again and check that the result is "{{{GNU assembler (GNU Binutils) 2.19.1}}}".
     2062. Versions 5.1.x of MinGW have a bug in the bundled Gnu assembler. If typing "{{{as --version}}}" at the command line gives "{{{GNU assembler (GNU Binutils) 2.20}}}", then you have an affected version. To fix this, download [http://sourceforge.net/projects/mingw/files/MinGW/BaseSystem/GNU-Binutils/binutils-2.19.1/binutils-2.19.1-mingw32-bin.tar.gz/download binutils-2.19.1-mingw32-bin.tar.gz], and extract it into the MinGW installation directory, overwriting the existing files. Then do "{{{as --version}}}" again and check that the result is "{{{GNU assembler (GNU Binutils) 2.19.1}}}".
    207207
    2082083. Configure distutils to use MinGW. To configure distutils to use mingw32, create a file called "{{{distutils.cfg}}}" in {{{C:\Python25\lib\distutils}}}, and put in that file: